# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'roi/version'

Gem::Specification.new do |spec|
  spec.name                   = 'roi_calculator'
  spec.version                = ROI::VERSION
  spec.authors                = ['Adriano Bacha']
  spec.email                  = ['abacha@gmail.com']

  spec.summary                = 'Rentability and Gross Profit Calculations'
  spec.license                = 'MIT'

  spec.files                  = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.require_paths          = ['lib']
  # rubocop:disable Gemspec/RequiredRubyVersion
  spec.required_ruby_version  = '>= 2.2.5'
  # rubocop:enable Gemspec/RequiredRubyVersion

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_runtime_dependency 'math_util', '~> 0.1.0'
  spec.add_runtime_dependency 'memoist', '~> 0.15'
  spec.add_runtime_dependency 'work_day', '~> 1.0.0'
end
